# Configuration file for the language: C++
# NOTE: This file is automatically generated by Enterprise Architect, changes made manually may be lost.
LEXER=cpp

# (Default)

# Brace Highlighting

# Caret Line

# Comments
COMMENT_LINECOMMENT_TOKEN=//
COMMENT_STREAMCOMMENTSTART_TOKEN=/*
COMMENT_STREAMCOMMENTEND_TOKEN=*/

# Indentation
INDENT_AUTOMATIC=true
INDENT_STATEMENT_KEYWORDS=case default do else for if private protected public while
INDENT_STATEMENT_END=;
INDENT_BLOCK_START_CHAR={
INDENT_BLOCK_END_CHAR=}
INDENT_STATEMENT_LOOKBACK=20

# Intellisense
INTELLISENSE_SCOPEGUIDES=false

# Language
KEYWORDS=__cdecl __time64_t __stdcall and and_eq asm auto bitand bitor bool break case catch char class compl const const_cast continue default delete override final do double dynamic_cast else enum explicit export extern false float for friend goto if inline int long mutable namespace new not not_eq operator or or_eq private protected public register reinterpret_cast return short signed size_t sizeof static static_cast struct switch template this throw true try typedef typeid typename union unsigned using virtual void volatile wchar_t while xor xor_eq
KEYWORDS_EXTENDED=

# Literals

# Macros

# Preprocessor

# Whitespace
